Polygone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Polygone

Emplacement du menu
Draft → Polygone
Ateliers
Planche à dessin
Raccourci par défaut
P G
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil demande la sélection d'un centre et un rayon. Vous pouvez ensuite spécifier le nombre de côtés, puis un polygone régulier sera créé à l'intérieur d'un cercle au rayon spécifié.
Le polygone nouvellement créé, adoptera le style de couleur, et, d'épaisseur de trait actif.

Draft polygon example.jpg

Draft polygon example.jpg

Utilisation

  1. Pressez le bouton Draft Polygon.png Polygone ou pressez les touches P puis G.
  2. Cliquez un premier point, dans la vue 3D, ou tapez manuellement les coordonnées coordonnées pour situer le centre,
  3. Spécifiez le nombre de côtés dans la boîte de dialogue,
  4. Cliquez un autre point dans la vue 3D, ou tapez la valeur du rayon pour définir le rayon du polygone. Le polygone sera aussi une face, même, s'il apparaît comme un filaire.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Options

  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche T, ou cliquez sur la case à cocher activer/désactiver Continuer. Dès que le Polygone est terminé, ou fermé et que la case à cocher Continuer est activée, la fonction Polygone redémarre automatiquement.
  • Appuyez sur la touche CTRL, accroche un point sur un emplacement d'accrochage disponible.
  • Pressez sur la touche SHIFT et donnez une direction horizontale, ou verticale à votre ligne, et votre ligne sera contrainte à votre prochain point horizontalement ou verticalement
  • Pressez I ou activez la case à cocher Remplir, pour que le Polygone soit représenté comme une face, après sa fermeture.
  • Appuyez sur la touche ESC ou sur la touche Cancel pour annuler l'opération.
  • Le polygone, en mode d'affichage "Lignes planes", peuvent afficher un motif de hachures en définissant sa propriété "Pattern" ci-dessous.

Propriétés

  • DONNÉESRadius : Spécifie le rayon du cercle.
  • DONNÉESDraw mode : Spécifie si le polygone est Inscrit, ou Circonscrit au cercle.
  • DONNÉESFace Number : Nombre de faces à construire.
  • DONNÉESChamfer Size: Spécifie la dimension du chanfrein des coins.
  • DONNÉESFillet Radius : Spécifie le rayon de courbure, à donner aux angles du rectangle.
  • DONNÉESMake Face: Remplit le cercle avec une face
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATARadius: specifies the radius of the circle that defines the polygon.
  • DATADraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DATAFaces Number: specifies the number of sides of the polygon.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil Polygone, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Crée un objet polygone, avec la donnée de rayon, et, le nombre de faces.
  • Si la valeur inscribed est sur False, le polygone est circonscrit autour du cercle avec le rayon donné, si la valeur est sur True, le polygone est inscrit.
  • Si face est True, la forme qui en résulte est affichée comme une face, autrement, comme un filaire.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg